This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1312782 - pcre: Heap buffer overflow in pcretest causing infinite loop (8.39/15)
pcre: Heap buffer overflow in pcretest causing infinite loop (8.39/15)
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Red Hat Product Security
impact=none,public=20160114,reported=...
: Security
Depends On: 1312793 1312786 1312788 1312789 1312791 1312794
Blocks: 1295388 1312802
  Show dependency treegraph
 
Reported: 2016-02-29 04:37 EST by Adam Mariš
Modified: 2016-03-17 14:31 EDT (History)
33 users (show)

See Also:
Fixed In Version: pcre 8.39
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-17 10:06:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-29 04:37:54 EST
Heap-based buffer overread caused by specially crafted input triggering infinite loop in pcretest.c was found affecting pcre 8.38. pcretest went into loop if global matching was requested with an ovector size less than 2.

Upstream bug:

https://bugs.exim.org/show_bug.cgi?id=1777

Upstream patch:

http://vcs.pcre.org/pcre?view=revision&revision=1637

CVE request:

http://seclists.org/oss-sec/2016/q1/460
Comment 1 Adam Mariš 2016-02-29 04:38:21 EST
Acknowledgments:

Name: Adam Mariš (Red Hat)
Comment 2 Adam Mariš 2016-02-29 04:39:35 EST
Created pcre tracking bugs for this issue:

Affects: fedora-all [bug 1312786]
Comment 3 Adam Mariš 2016-02-29 04:39:49 EST
Created glib2 tracking bugs for this issue:

Affects: fedora-all [bug 1312789]
Comment 4 Adam Mariš 2016-02-29 04:40:00 EST
Created mingw-glib2 tracking bugs for this issue:

Affects: fedora-all [bug 1312791]
Affects: epel-7 [bug 1312794]
Comment 5 Adam Mariš 2016-02-29 04:40:13 EST
Created mingw-pcre tracking bugs for this issue:

Affects: fedora-all [bug 1312788]
Affects: epel-7 [bug 1312793]
Comment 6 Tomas Hoger 2016-02-29 15:54:07 EST
Minimal reproducer is:

//G
\O1
Comment 7 Fedora Update System 2016-03-01 20:50:18 EST
pcre-8.38-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-03-15 21:50:06 EDT
pcre-8.38-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Tomas Hoger 2016-03-17 10:06:19 EDT
This is similar to bug 1285413 comment 7 and not relevant / security for the same reasons - pcretest is an application used for testing the pcre library.  It offers ways to use the library in ways that are incorrect with respect to the documented API.

Additionally, as this flaw is in the pcretest application, components that embed the pcre library while not using pcretest (e.g. glib2 mentioned above) could not have been affected.

Upstream version 8.13 is the first where infinite loop is triggered, valgrind reports "Conditional jump or move depends on uninitialised value(s)" error in earlier versions.

Note You need to log in before you can comment on or make changes to this bug.